linux-lts-backport-oneiric: 3.0.0-26.42~lucid1 -proposed tracker

Bug #1046423 reported by Brad Figg on 2012-09-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux-lts-backport-oneiric (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-26.42~lucid1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 05. September 2012 16:34 UTC
kernel-stable-Certification-testing-end:Wednesday, 05. September 2012 16:47 UTC
kernel-stable-Prepare-package-end:Friday, 07. September 2012 21:15 UTC
kernel-stable-Promote-to-proposed-start:Friday, 07. September 2012 21:15 UTC
kernel-stable-Promote-to-proposed-end:Monday, 10. September 2012 17:45 UTC
kernel-stable-Verification-testing-start:Monday, 10. September 2012 18:47 UTC
kernel-stable-Security-signoff-start:Tuesday, 11. September 2012 09:30 UTC
kernel-stable-Verification-testing-end:Tuesday, 11. September 2012 09:30 UTC
kernel-stable-Regression-testing-start:Tuesday, 11. September 2012 09:30 UTC
kernel-stable-Security-signoff-end:Friday, 14. September 2012 22:15 UTC
kernel-stable-Regression-testing-end:Sunday, 16. September 2012 22:45 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 19. September 2012 00:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 19. September 2012 01:30 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 19. September 2012 01:30 UTC

Brad Figg (brad-figg) on 2012-09-05
tags: added: kernel-release-tracking-bug
Changed in linux-lts-backport-oneiric (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-09-05
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2012-09-10
description: updated
Brad Figg (brad-figg) on 2012-09-10
description: updated
Luis Henriques (henrix) wrote :

No pending verifications; moving to testing.

Brad Figg (brad-figg) on 2012-09-11
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-09-14
description: updated
C de-Avillez (hggdh2) wrote :

At least one of the binary packages vanished:

ubuntu@zmeu:~$ uname -a
Linux zmeu 2.6.32-43-generic #97-Ubuntu SMP Wed Sep 5 16:42:26 UTC 2012 x86_64 GNU/Linux

ubuntu@zmeu:~$ sudo apt-get install linux-headers-3.0.0-26-generic
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  linux-headers-3.0.0-26-generic: Depends: linux-headers-3.0.0-26 but it is not installable
E: Broken packages

ubuntu@zmeu:~$ apt-cache policy linux-headers-3.0.0-26-generic
linux-headers-3.0.0-26-generic:
  Installed: (none)
  Candidate: 3.0.0-26.42~lucid1
  Version table:
     3.0.0-26.42~lucid1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid-proposed/main Packages
ubuntu@zmeu:~$

I chatted with infinity about that:

2012-09-16 16:36:11 hggdh for the linux 3.0.0-26.42 kernel, shouldn't there be a linux-headers-3.0.0-26 package? I see a depends from linux-headers-(virtual|generic|server) to it, but I cannot find this package
2012-09-16 16:51:37 infinity hggdh: Looks there to me
2012-09-16 16:51:38 infinity (base)adconrad@cthulhu:~$ rmadison linux-headers-3.0.0-26
2012-09-16 16:51:38 infinity linux-headers-3.0.0-26 | 3.0.0-26.42 | oneiric-security | all
2012-09-16 16:51:39 infinity linux-headers-3.0.0-26 | 3.0.0-26.42 | oneiric-updates | all
2012-09-16 16:59:00 hggdh infinity: sorry, I am looking for the LTS HWE packages.
2012-09-16 16:59:34 hggdh infinity: this is what apt-cache shows me: http://pastebin.ubuntu.com/1209869/
2012-09-16 17:00:14 hggdh (output from a Lucid system, with -proposed enabled
2012-09-16 17:01:21 hggdh and my fault for not stating it was on the LTS HWE
2012-09-16 17:06:24 hggdh or, a more self-explanatory output: http://pastebin.ubuntu.com/1209879/
2012-09-16 17:26:49 infinity hggdh: Oh special. I think launchpad kinda oopsed it out of existence.
2012-09-16 17:26:59 infinity I wonder how many other files from that upload went the same way...
2012-09-16 17:31:26 infinity hggdh: Remind me tomorrow and I'll see if there's a way we can resurrect that, but I fear we might need a no-change rebuild (or we can just skip this SRU cycle for lts-backport-oneiric and pick it up next time).
2012-09-16 17:32:41 infinity hggdh: For now, I suspect you'll want to fail the testing on it, so I know not to promote it later. :P
2012-09-16 17:36:30 hggdh infinity: roger, and ack

As such, failing this build.

tags: added: qa-testing-failed

The bug was tagged as qa-testing-failed

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
C de-Avillez (hggdh2) wrote :

Infinity has recovered the missing binaries; I will re-test these kernels. Untagging qa-testing-failed.

tags: removed: qa-testing-failed
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Changed in linux-lts-backport-oneiric (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-09-18
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-09-19
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package linux-lts-backport-oneiric - 3.0.0-26.42~lucid1

---------------
linux-lts-backport-oneiric (3.0.0-26.42~lucid1) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1046423

  [ Upstream Kernel Changes ]

  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-3430
  * x86: Simplify code by removing a !SMP #ifdefs from 'struct cpuinfo_x86'
    - LP: #1037281
  * Redefine ATOMIC_INIT and ATOMIC64_INIT to drop the casts
    - LP: #1037281
  * SUNRPC: return negative value in case rpcbind client creation error
    - LP: #1037281
  * nilfs2: fix deadlock issue between chcp and thaw ioctls
    - LP: #1037281
  * pcdp: use early_ioremap/early_iounmap to access pcdp table
    - LP: #1037281
  * mm: fix wrong argument of migrate_huge_pages() in
    soft_offline_huge_page()
    - LP: #1037281
  * ARM: 7478/1: errata: extend workaround for erratum #720789
    - LP: #1037281
  * ARM: 7479/1: mm: avoid NULL dereference when flushing gate_vma with
    VIVT caches
    - LP: #1037281
  * mm: mmu_notifier: fix freed page still mapped in secondary MMU
    - LP: #1037281
  * mac80211: cancel mesh path timer
    - LP: #1037281
  * x86, nops: Missing break resulting in incorrect selection on Intel
    - LP: #1037281
  * random: Add support for architectural random hooks
    - LP: #1037281
  * fix typo/thinko in get_random_bytes()
    - LP: #1037281
  * random: Use arch_get_random_int instead of cycle counter if avail
    - LP: #1037281
  * random: Use arch-specific RNG to initialize the entropy store
    - LP: #1037281
  * random: Adjust the number of loops when initializing
    - LP: #1037281
  * drivers/char/random.c: fix boot id uniqueness race
    - LP: #1037281
  * random: make 'add_interrupt_randomness()' do something sane
    - LP: #1037281
  * random: use lockless techniques in the interrupt path
    - LP: #1037281
  * random: create add_device_randomness() interface
    - LP: #1037281
  * usb: feed USB device information to the /dev/random driver
    - LP: #1037281
  * net: feed /dev/random with the MAC address when registering a device
    - LP: #1037281
  * random: use the arch-specific rng in xfer_secondary_pool
    - LP: #1037281
  * random: add new get_random_bytes_arch() function
    - LP: #1037281
  * random: add tracepoints for easier debugging and verification
    - LP: #1037281
  * MAINTAINERS: Theodore Ts'o is taking over the random driver
    - LP: #1037281
  * rtc: wm831x: Feed the write counter into device_add_randomness()
    - LP: #1037281
  * mfd: wm831x: Feed the device UUID into device_add_randomness()
    - LP: #1037281
  * random: remove rand_initialize_irq()
    - LP: #1037281
  * random: Add comment to random_initialize()
    - LP: #1037281
  * dmi: Feed DMI table to /dev/random driver
    - LP: #1037281
  * random: mix in architectural randomness in extract_buf()
    - LP: #1037281
  * x86, microcode: microcode_core.c simple_strtoul cleanup
    - LP: #1037281
  * x86, microcode: Sanitize per-cpu microcode reloading interface
    - LP: #1037281
  * mm: hugetlbfs: close race during teardown of hugetlbfs shared page
    tables
    - LP: #1037281
  * ARM: m...

Read more...

Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Adam Conrad (adconrad) wrote :

Released to -updates and -security.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers